## vncterm 0.9.0

=== Makefile ===
TARGET = vncterm

OBJS := main.o console.o

LIBS_so := libvnc/libvnc.so
LIBS := libvnc/libvnc.a

CFLAGS  = -I$(shell pwd)/include
# _GNU_SOURCE for asprintf.
CFLAGS += -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_GNU_SOURCE 
CFLAGS += -Wall -Werror -g -O1 

ifeq ($(shell uname),Linux)
LDLIBS := -lutil -lrt
endif

ifndef WITHOUT_XENSTORE
LDLIBS += -lxenstore
else
CFLAGS += -DNXENSTORE
endif

# Get gcc to generate the dependencies for us.
CFLAGS   += -Wp,-MD,$(@D)/.$(@F).d

SUBDIRS  = $(filter-out ./,$(dir $(OBJS) $(LIBS)))
DEPS     = .*.d

LDFLAGS := -g 

all: $(TARGET)

$(TARGET): $(LIBS) $(OBJS)
	gcc -o $@ $(LDFLAGS) $(OBJS) $(LIBS) $(LDLIBS)

%.o: %.c
	gcc -o $@ $(CFLAGS) -c $<

$(LIBS_so): %.so: ALWAYS
	$(MAKE) -C $(*D)

$(LIBS): %.a: ALWAYS
	$(MAKE) -C $(*D)

.PHONY: ALWAYS

clean:
	$(foreach dir,$(SUBDIRS),make -C $(dir) clean)
	rm -f $(OBJS)
	rm -f $(DEPS)
	rm -f $(TARGET)
	rm -f TAGS

.PHONY: TAGS
TAGS:
	find . -name \*.[ch] | etags -

-include $(DEPS)

print-%:
	echo $($*)

=== mk/Makefile ===
USE_BRANDING := yes
IMPORT_BRANDING := yes
include $(B_BASE)/common.mk
include $(B_BASE)/rpmbuild.mk

REPO_NAME := vncterm
REPO_LOC  := $(call git_loc,vncterm)
RPM_BUILD_COOKIE= $(MY_OBJ_DIR)/.rpm_build_cookie

J_FLAG = 8
MAKE_CMD= $(MAKE) -j$(J_FLAG) -C $(REPO_LOC)

-include $(MY_OBJ_DIR)/version.inc
$(MY_OBJ_DIR)/version.inc:
	rm -f $(MY_OBJ_DIR)/version.inc
	$(version-makefile) > $@
	$(call git_cset_number,vncterm) >> $@
	echo VNCTERM_VERSION := \$$\(PLATFORM_VERSION\) >> $@
	echo VNCTERM_RELEASE := \$$\(CSET_NUMBER\) >> $@

CHANGELOG_DATE    := $(shell LANG=C date +"%a %b %d %Y")
CHANGELOG_USER    := $(COMPANY_NAME) <$(COMPANY_WEBSITE)>
CHANGELOG_HEADER  := * $(CHANGELOG_DATE) $(CHANGELOG_USER) [$(VNCTERM_VERSION) $(VNCTERM_RELEASE)]
CHANGELOG_MESSAGE := - Build vncterm.

SRPM := $(RPM_SRPMSDIR)/vncterm-$(VNCTERM_VERSION)-$(VNCTERM_RELEASE).src.rpm

.PHONY: build
build: $(RPM_BUILD_COOKIE) \
	$(MY_SOURCES)/MANIFEST
	@ :

.PHONY: clean
clean:
	rm -f $(RPM_BUILD_COOKIE)
	rm -f $(MY_OBJ_DIR)/version.inc
	rm -f $(MY_SOURCES)/MANIFEST

SOURCES = $(RPM_SOURCESDIR)/vncterm-$(VNCTERM_VERSION).tar.bz2 \
	  $(RPM_SOURCESDIR)/vncterm-development.patch \
	  $(RPM_SPECSDIR)/vncterm.spec

$(RPM_SOURCESDIR)/vncterm-$(VNCTERM_VERSION).tar.bz2: $(RPM_SOURCESDIR)/.dirstamp $(REPO_LOC)
	set -e; set -o pipefail; \
	(cd $(REPO_LOC) && exec git archive --prefix=$(patsubst %.tar.bz2,%,$(notdir $@))/ HEAD) | bzip2 -c > $@.tmp
	mv -f $@.tmp $@

$(RPM_SOURCESDIR)/vncterm-development.patch: $(RPM_SOURCESDIR)/.dirstamp $(REPO_LOC)
	(cd $(REPO_LOC) && exec git diff) > $@

$(RPM_SPECSDIR)/vncterm.spec: vncterm.spec.in $(RPM_SPECSDIR)/.dirstamp
# Use a temporary file because sed in rhel3 doesn't understand "\n"
	echo "$(CHANGELOG_HEADER)" > changelog.tmp
	echo "$(CHANGELOG_MESSAGE)" >> changelog.tmp
	echo "" >> changelog.tmp
	sed -e s\,@REPO_VERSION@,$(REPO_VERSION),g \
	    -e s\,@VNCTERM_VERSION@,$(VNCTERM_VERSION),g\
	    -e s\,@VNCTERM_RELEASE@,$(VNCTERM_RELEASE),g\
	    -e \\,%changelog,rchangelog.tmp             \
	    < vncterm.spec.in                           \
	    > $(RPM_SPECSDIR)/vncterm.spec
	-rm changelog.tmp

$(RPM_BUILD_COOKIE): $(RPM_DIRECTORIES) $(SOURCES)
	$(RPMBUILD) --target i686 -ba $(RPM_SPECSDIR)/vncterm.spec
	@touch $@

$(MY_SOURCES)/MANIFEST: $(MY_SOURCES)/.dirstamp
	echo "$(REPO_NAME) $(call rpm_license,$(SRPM)) file $(SRPM)" > $@

## vncterm 0.1+1313997498

=== debian/changelog ===
vncterm (0.1+1313997498-1) unstable; urgency=low

  * New autobuild version

 -- Jon Ludlam <jenkins@debian32.uk.xensource.com>  Tue, 18 Oct 2011 16:35:12 +0100

vncterm (0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Jon Ludlam <jonathan.ludlam@eu.citrix.com>  Tue, 19 Jul 2011 23:38:14 +0100

=== debian/control ===
Source: vncterm
Section: unknown
Priority: extra
Maintainer: Jon Ludlam <jonathan.ludlam@eu.citrix.com>
Build-Depends: debhelper (>= 8.0.0), libxen-dev
Standards-Version: 3.9.2
Homepage: <insert the upstream URL, if relevant>
#Vcs-Git: git://git.debian.org/collab-maint/vncterm.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/vncterm.git;a=summary

Package: vncterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: <insert up to 60 chars description>
 <insert long description, indented with spaces>

Package: vncterm-doc
Architecture: all
Description: documentation for vncterm
 <insert long description, indented with spaces>

## vncterm 0.9.0

=== debian/changelog ===
vncterm (0.9.0-2) UNRELEASED; urgency=low

  * Remove xen-missing-headers dependency

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Thu, 04 Sep 2014 12:00:00 +0000

vncterm (0.9.0-1) UNRELEASED; urgency=low

  * Update to latest version of upstream package

 -- Euan Harris <euan.harris@citrix.com>  Thu, 22 Aug 2013 12:00:00 +0000

=== debian/control ===
Source: vncterm
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 qemu-system-x86,
 blktap-dev,
 debhelper (>= 8),
 blktap-utils,
 python,
 libxen-dev

Package: vncterm
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: TTY to VNC utility
 This package contains the vncterm utility

## vncterm 0.9.10

=== debian/changelog ===
vncterm (0.9.10-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:49:52 +0000

vncterm (0.9.10-2) unstable; urgency=medium

  * Upload to unstable.
  * Changed maintainer e-mail address.

 -- Peter Spiess-Knafl <dev@spiessknafl.at>  Tue, 02 Jun 2015 00:16:40 +0200

vncterm (0.9.10-1) unstable; urgency=low

  * Initial release (Closes: #776182)

 -- Peter Spiess-Knafl <psk@autistici.org>  Sun, 25 Jan 2015 02:47:51 +0000

=== debian/control ===
Source: vncterm
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Peter Spiess-Knafl <dev@spiessknafl.at>
Build-Depends: debhelper (>= 9), dh-autoreconf, pkg-config, libvncserver-dev
Standards-Version: 3.9.6
Homepage: https://github.com/LibVNC/vncterm
Vcs-Git: git://anonscm.debian.org/collab-maint/vncterm.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/vncterm.git

Package: linuxvnc
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: VNC server to allow remote access to a tty
 linuxvnc can export your currently running text sessions to any VNC client.
 It can be useful if you want to move to another computer without having to
 log out or to help a distant colleague solve a problem.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --with autoreconf

=== debian/watch ===
version=3
https://github.com/LibVNC/vncterm/releases .*/archive/(.+)\.tar\.gz

## vncterm 1.1

=== Makefile ===
RELEASE=4.0

PACKAGE=vncterm
# Note: also change version in debian/control and debian/changelog
VERSION=1.2
PACKAGERELEASE=1
ARCH:=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
CDATE:=$(shell date +%F)

VNCVER=0.9.7
VNCDIR=LibVNCServer-${VNCVER}
VNCSRC=${VNCDIR}.tar.gz
VNCLIB=${VNCDIR}/libvncserver/.libs/libvncserver.a

TIGERVNCSRC=tigervnc-1.1.0.tgz
#TIGERVNCSRC=tigervnc-1.2.0.tgz

DEB=${PACKAGE}_${VERSION}-${PACKAGERELEASE}_${ARCH}.deb
SNAP=${PACKAGE}-${VERSION}-${CDATE}.tar.gz

KEYSTORE=/home/dietmar/pve2-proxdev/proxmox-dev/comodo-for-java.keystore

all: vncterm

glyphs.h: genfont
	./genfont > glyphs.h

genfont: genfont.c
	gcc -g -O2 -o $@ genfont.c -Wall -D_GNU_SOURCE -lz

.PHONY: vnc
${VNCLIB} vnc: ${VNCSRC}
	rm -rf ${VNCDIR}
	tar xf ${VNCSRC}
	ln -s ../vncpatches ${VNCDIR}/patches
	cd ${VNCDIR}; quilt push -a
	cd ${VNCDIR}; ./configure; 
	cd ${VNCDIR}; make

vncterm: vncterm.c glyphs.h ${VNCLIB}
	gcc -O2 -g -o $@ vncterm.c -Wall -Wno-deprecated-declarations -D_GNU_SOURCE -I ${VNCDIR} ${VNCLIB} -lnsl -lpthread -lz -ljpeg -lutil -lgnutls

jar: tigervnc.org
	if test ! -f /usr/share/icedtea-web/plugin.jar; then echo "please install package icedtea-netx-common"; exit 1; fi
	rm -rf tigervnc VncViewer.jar
	rsync -av --exclude .svn --exclude .svnignore  tigervnc.org/ tigervnc
	ln -s ../tigerpatches tigervnc/patches
	cd tigervnc; quilt push -a
	cd tigervnc/java/src/com/tigervnc/vncviewer; make clean; make
	jarsigner -keystore ${KEYSTORE} -signedjar VncViewer.jar  tigervnc/java/src/com/tigervnc/vncviewer/VncViewer.jar "dc475d72-124a-11e4-a53f-005056c00008"

# this is for version 1.2
#	ln -s ../newtigerpatches tigervnc/patches
#	cd tigervnc/java;cmake -G "Unix Makefiles"; make
#	jarsigner -keystore ${KEYSTORE} -signedjar VncViewer.jar  tigervnc/java/VncViewer.jar proxmox

tigervnc.org: ${TIGERVNCSRC}
	rm -rf tigervnc.org
	tar xf ${TIGERVNCSRC}

download:
	rm -rf tigervnc.org
	svn co https://tigervnc.svn.sourceforge.net/svnroot/tigervnc/tags/1_1_0 tigervnc.org 
	tar cf ${TIGERVNCSRC} tigervnc.org

.PHONY: install
install: vncterm vncterm.1 VncViewer.jar
	mkdir -p ${DESTDIR}/usr/share/doc/${PACKAGE}
	mkdir -p ${DESTDIR}/usr/share/man/man1
	mkdir -p ${DESTDIR}/usr/bin
	install -s -m 0755 vncterm ${DESTDIR}/usr/bin
	mkdir -p ${DESTDIR}/usr/share/vncterm/
	install -m 0644 VncViewer.jar ${DESTDIR}/usr/share/vncterm/

.PHONY: dinstall
dinstall: ${DEB}
	dpkg -i ${DEB}

vncterm.1: vncterm.pod
	rm -f $@
	pod2man -n $< -s 1 -r ${VERSION} <$< >$@

.PHONY: deb
${DEB} deb:
	make clean
	rm -rf dest
	mkdir dest
	make DESTDIR=`pwd`/dest install
	install -d -m 0755 dest/DEBIAN
	install -m 0644 debian/control dest/DEBIAN
	echo "Architecture: ${ARCH}" >>dest/DEBIAN/control
	install -m 0644 debian/conffiles dest/DEBIAN
	install -m 0644 copyright dest/usr/share/doc/${PACKAGE}
	install -m 0644 vncterm.1 dest/usr/share/man/man1
	install -m 0644 debian/changelog.Debian dest/usr/share/doc/${PACKAGE}
	gzip --best dest/usr/share/man/*/*
	gzip --best dest/usr/share/doc/${PACKAGE}/changelog.Debian
	dpkg-deb --build dest
	mv dest.deb ${DEB}
	rm -rf dest
	lintian ${DEB}	

.PHONY: upload
upload: ${DEB}
	umount /pve/${RELEASE}; mount /pve/${RELEASE} -o rw 
	mkdir -p /pve/${RELEASE}/extra
	rm -f /pve/${RELEASE}/extra/${PACKAGE}_*.deb
	rm -f /pve/${RELEASE}/extra/Packages*
	cp ${DEB} /pve/${RELEASE}/extra
	cd /pve/${RELEASE}/extra; dpkg-scanpackages . /dev/null > Packages; gzip -9c Packages > Packages.gz
	umount /pve/${RELEASE}; mount /pve/${RELEASE} -o ro

.PHONY: clean
clean:
	rm -rf vncterm vncterm.1 vncterm_*.deb tigervnc *~ ${VNCDIR} vncterm-*.tar.gz

.PHONY: distclean
distclean: clean
	rm -rf tigervnc.org

.PHONY: dist
${SNAP} dist: distclean
	rm -rf ../${SNAP}
	cd ..; tar cvzf ${SNAP} --exclude .svn ${PACKAGE}
	mv ../${SNAP} ${SNAP}

.PHONY: uploaddist
uploaddist: ${SNAP}
	scp ${SNAP} pve.proxmox.com:/home/ftp/sources/

=== debian/changelog ===
vncterm (1.1) unstable; urgency=low

  * Initial Release.

 -- root <root@builder.dmz.bit.nl>  Tue, 26 Jan 2016 15:05:28 +0100

=== debian/control ===
Source: vncterm
Section: x11
Priority: extra
Maintainer: root <root@builder.dmz.bit.nl>
Build-Depends: debhelper (>= 8.0.0),libc6-dev (>= 2.7-18),libjpeg62,libjpeg62-dev,zlib1g-dev (>= 1:1.2.1),libgnutls28-dev,console-data,quilt
Standards-Version: 3.9.2
Homepage: https://github.com/proxmox/vncterm
#Vcs-Git: git://git.debian.org/collab-maint/vncterm.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/vncterm.git;a=summary

Package: vncterm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: VNC Terminal Emulator With vncterm you can start commands and  export its standard input and output to any VNC client (simulating a xterm Terminal).

## vncterm 1.8.0

=== Makefile ===
include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/architecture.mk

PACKAGE=vncterm
BUILDDIR ?= $(PACKAGE)-$(DEB_VERSION_UPSTREAM)

VNCVER=0.9.14
VNCREL=LibVNCServer-$(VNCVER)
VNCDIR=libvncserver-$(VNCREL)
VNCSRC=$(VNCREL).tar.gz
VNCLIB=$(VNCDIR)/libvncserver.a

DSC = $(PACKAGE)_$(DEB_VERSION).dsc

DEB=$(PACKAGE)_$(DEB_VERSION)_$(DEB_HOST_ARCH).deb
DBG_DEB=$(PACKAGE)-dbgsym_$(DEB_VERSION)_$(DEB_HOST_ARCH).deb

CPPFLAGS += -O2 -g -Wall -Wno-deprecated-declarations -D_GNU_SOURCE -I $(VNCDIR)

VNC_LIBS := -lnsl -lpthread -lz -ljpeg -lutil -lgnutls -lpng

all: vncterm

font.data: genfont2
	./genfont2 -o font.data.tmp -i /usr/share/unifont/unifont.hex
	mv font.data.tmp font.data

genfont2: genfont2.c
	gcc -g -O2 -o $@ genfont2.c -Wall -Wextra -D_GNU_SOURCE -lz

.PHONY: vnc
vnc: $(VNCLIB)
$(VNCLIB): $(VNCSRC)
	rm -rf $(VNCDIR)
	tar xf $(VNCSRC)
	ln -s ../vncpatches $(VNCDIR)/patches
	cd $(VNCDIR); quilt push -a
	cd $(VNCDIR); cmake -D WITH_GNUTLS=OFF -D WITH_OPENSSL=OFF -D WITH_WEBSOCKETS=OFF -D WITH_SYSTEMD=OFF -D WITH_TIGHTVNC_FILETRANSFER=OFF -D WITH_GCRYPT=OFF -D WITH_LZO=OFF -D BUILD_SHARED_LIBS=OFF .; cmake --build .

vncterm: vncterm.c wchardata.c $(VNCLIB)
	$(CC) $(CPPFLAGS) $(CFLAGS) -o $@ $^ $(VNC_LIBS)

wchardata.c:
	cp /usr/share/unifont/$@ $@

.PHONY: install
install: vncterm vncterm.1 font.data
	mkdir -p $(DESTDIR)/usr/share/$(PACKAGE)
	install -m 0644 font.data $(DESTDIR)/usr/share/$(PACKAGE)
	mkdir -p $(DESTDIR)/usr/share/man/man1
	install -m 0644 vncterm.1 $(DESTDIR)/usr/share/man/man1
	mkdir -p $(DESTDIR)/usr/bin
	install -m 0755 vncterm $(DESTDIR)/usr/bin

.PHONY: dinstall
dinstall: $(DEB)
	dpkg -i $(DEB)

vncterm.1: vncterm.pod
	rm -f $@
	pod2man -n $< -s 1 -r $(DEB_VERSION_UPSTREAM) <$< >$@

$(BUILDDIR):
	rm -rf $@ $@.tmp
	rsync -a . $@.tmp
	echo "git clone git://git.proxmox.com/git/vncterm.git\\ngit checkout $$(git rev-parse HEAD)" > $@.tmp/debian/SOURCE
	mv $@.tmp $@

.PHONY: deb
deb: $(DEB)
$(DEB): $(BUILDDIR)
	cd $(BUILDDIR); dpkg-buildpackage -rfakeroot -b -us -uc
	lintian $(DEB)

.PHONY: dsc
dsc: $(DSC)
	rm -rf $(BUILDDIR) $(DSC)
	$(MAKE) $(DSC)
	lintian $(DSC)

$(DSC): $(BUILDDIR)
	cd $(BUILDDIR); dpkg-buildpackage -S -us -uc

sbuild: $(DSC)
	sbuild $<

.PHONY: upload
upload: UPLOAD_DIST ?= $(DEB_DISTRIBUTION)
upload: $(DEB)
	tar cf - $(DEB) $(DBG_DEB) | ssh -X repoman@repo.proxmox.com -- upload --product pve --dist $(UPLOAD_DIST)

.PHONY: clean
clean:
	rm -f *.dsc *.deb $(PACKAGE)*.tar* *.changes *.build *.buildinfo
	rm -f vncterm vncterm.1 genfont genfont2 *~ *.tmp wchardata.c font.data
	rm -rf $(VNCDIR) $(PACKAGE)-[0-9]*/

.PHONY: distclean
distclean: clean

=== debian/changelog ===
vncterm (1.8.0) bookworm; urgency=medium

  * re-build for Debian 12 Bookworm based releases

  * update libvncserver to 0.9.14

 -- Proxmox Support Team <support@proxmox.com>  Mon, 29 May 2023 17:10:38 +0200

vncterm (1.7-1) bullseye; urgency=medium

  * rebuild for Debian 11 Bullseye based releases

 -- Proxmox Support Team <support@proxmox.com>  Sun, 16 May 2021 19:06:09 +0200

vncterm (1.6-2) pve pmg; urgency=medium

  * import libvncserver 0.9.13 upstream release

 -- Proxmox Support Team <support@proxmox.com>  Wed, 15 Jul 2020 07:05:12 +0200

vncterm (1.6-1) pve pmg; urgency=medium

  * rebuild for Debian Buster

 -- Proxmox Support Team <support@proxmox.com>  Wed, 22 May 2019 19:42:26 +0200

vncterm (1.5-3) unstable; urgency=medium

  * depend on libjpeg62-turbo instead of libjpeg62

 -- Proxmox Support Team <support@proxmox.com>  Wed, 15 Nov 2017 12:46:19 +0100

vncterm (1.5-2) unstable; urgency=medium

  * replaced pure plack cursor with a more visible pointer with white edges

 -- Proxmox Support Team <support@proxmox.com>  Wed, 07 Jun 2017 13:53:17 +0200

vncterm (1.5-1) unstable; urgency=medium

  * use unifont to support more glyphs (range 0x0000..0xFFFF)

  * support wide characters

  * support combining glyphs

 -- Proxmox Support Team <support@proxmox.com>  Wed, 24 May 2017 13:12:55 +0200

vncterm (1.4-2) unstable; urgency=medium

  * fix bound checking on cursor move

 -- Proxmox Support Team <support@proxmox.com>  Sat, 06 May 2017 08:09:29 +0200

vncterm (1.4-1) unstable; urgency=medium

  * recompile for Debian Stretch / PVE 5

 -- Proxmox Support Team <support@proxmox.com>  Fri, 10 Mar 2017 10:19:48 +0100

vncterm (1.3-2) unstable; urgency=medium

  * bound check utf8 characters

  * detect empty first parameter of escape codes

 -- Proxmox Support Team <support@proxmox.com>  Fri, 10 Mar 2017 10:11:00 +0100

vncterm (1.3-1) unstable; urgency=low

  * update cipher suites to GnuTLS's NORMAL

  * allow building with GnuTLS 3.5

  * update LibVNCServer to 0.9.11

 -- Proxmox Support Team <support@proxmox.com>  Fri, 3 Feb 2017 08:52:31 +0100

vncterm (1.2-1) unstable; urgency=low

  * recompile for Debian Jessie / PVE 4

 -- Proxmox Support Team <support@proxmox.com>  Fri, 27 Feb 2015 20:00:46 +0100

vncterm (1.1-8) unstable; urgency=low

  * update applet signature (new code signing cert)

 -- Proxmox Support Team <support@proxmox.com>  Fri, 25 Jul 2014 06:57:46 +0200

vncterm (1.1-7) unstable; urgency=low

  *  new option -notls (for novnc)

 -- Proxmox Support Team <support@proxmox.com>  Mon, 23 Jun 2014 13:30:50 +0200

vncterm (1.1-6) unstable; urgency=low

  * set Caller-Allowable-Codebase and remove Trusted-Library. This avoids
    security popups with latest Java 7u45. Also see:
  
    http://stackoverflow.com/questions/19393826/java-applet-manifest-allow-all-caller-allowable-codebase

 -- Proxmox Support Team <support@proxmox.com>  Fri, 08 Nov 2013 11:27:08 +0100

vncterm (1.1-5) unstable; urgency=low

  * use Comodo code sign cert for applet signature

 -- Proxmox Support Team <support@proxmox.com>  Fri, 08 Nov 2013 08:35:10 +0100

vncterm (1.1-4) unstable; urgency=low

  * Allow to add intermediate certificates to /etc/pve/local/pve-ssl.pem 
  (users previously used apache option SSLCertificateChainFile for that).
  
 -- Proxmox Support Team <support@proxmox.com>  Mon, 03 Jun 2013 08:26:59 +0200

vncterm (1.1-3) unstable; urgency=low

  *  re-enable javascript-events.patch (used for migrate/reload)

 -- Proxmox Support Team <support@proxmox.com>  Fri, 10 May 2013 07:56:35 +0200

vncterm (1.1-2) unstable; urgency=low

  * recompile VnCViewer.jar with openJDK
  
  * set trusted-lib to avoid security popup
  
  * disable unused javascript-events.patch

 -- Proxmox Support Team <support@proxmox.com>  Sat, 20 Apr 2013 16:05:41 +0200

vncterm (1.1-1) unstable; urgency=low

  * recompile for wheezy

 -- Proxmox Support Team <support@proxmox.com>  Fri, 15 Mar 2013 08:26:04 +0100

vncterm (1.0-3) unstable; urgency=low

  * fix focus traversal

 -- Proxmox Support Team <support@proxmox.com>  Tue, 21 Aug 2012 09:14:04 +0200

vncterm (1.0-2) unstable; urgency=low

  * do not create a new process group (with setsid), so
  we can kill the whole pve task if used inside fork_worker().

 -- Proxmox Support Team <support@proxmox.com>  Tue, 13 Sep 2011 10:49:32 +0200

vncterm (1.0-1) unstable; urgency=low

  * use TigerVNC java sources
  
  * implement TLS encryption and vencrypt password auth
  
  * removed support for -passwdfile option

 -- root <root@maui.maurer-it.com>  Mon, 24 Jan 2011 10:46:25 +0100

vncterm (0.9-2) unstable; urgency=low

  * compiled for debian etch
  
  * use memmove instead of rfbDoCopyRect (avoid SIGSEGV when
  called with negative dy)

 -- Proxmox Support Team <support@proxmox.com>  Wed, 22 Apr 2009 10:02:08 +0200

vncterm (0.9-1) stable; urgency=low

  * initial import

 -- Proxmox Support Team <support@proxmox.com>  Thu, 27 Dec 2007 05:57:17 +0100

=== debian/control ===
Source: vncterm
Section: admin
Priority: optional
Maintainer: Proxmox Support Team <support@proxmox.com>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libglib2.0-dev,
               libgnutls28-dev,
               libjpeg62-turbo-dev,
               libpng-dev,
               quilt,
               unifont,
               zlib1g-dev,
Standards-Version: 4.6.1

Package: vncterm
Architecture: any
Section: x11
Priority: optional
Depends: libgnutls-deb0-28 | libgnutls30,
         libjpeg62-turbo,
         libpng16-16,
         zlib1g (>= 1:1.2.1),
         ${misc:Depends},
         ${shlibs:Depends},
Description: VNC Terminal Emulator
 With vncterm you can start commands and export its standard input and
 output to any VNC client (simulating a xterm Terminal).
